package com.example.administrator.zhapp.adapter;

import android.content.Context;
import android.widget.TextView;
import com.example.administrator.zhapp.BaseListViewAdapter.CommonAdapter;
import com.example.administrator.zhapp.BaseListViewAdapter.ViewHolder;
import com.example.administrator.zhapp.R;
import com.example.administrator.zhapp.entity.XsDqGzZxListBean;
import java.util.List;


/**
 * Created by Rehome-rjb1 on 2017/7/17.
 */

public class XsDqgzZxListAdapter extends CommonAdapter<XsDqGzZxListBean.DataBean> {


    private List<XsDqGzZxListBean.DataBean> datas;

    public XsDqgzZxListAdapter(Context context, List<XsDqGzZxListBean.DataBean> datas) {
        super(context, R.layout.item_dqgzzx, datas);
        this.datas = datas;
    }

    @Override
    protected void convert(ViewHolder viewHolder, XsDqGzZxListBean.DataBean item, int position) {


        TextView tvJhmc = viewHolder.getView(R.id.tv_jhmc);
        TextView tvJhms = viewHolder.getView(R.id.tv_jhms);
        TextView tvZxqk = viewHolder.getView(R.id.tv_zxqk);
        TextView tvZxzt = viewHolder.getView(R.id.tv_zxzt);

        tvJhmc.setText("计划名称：" + item.getJhmc());
        tvJhms.setText("描述：" + item.getJhms());
        tvZxqk.setText("执行情况：" + item.getZxqk());

        viewHolder.setText(R.id.tv_zxzt, item.getZxztmc());
    }
}
